import useSize from "./useSize";
import React from "react";
import * as Styles from "./style";
function ImageAttachment(props) {
    const { width, height } = useSize(props.attachment.width, props.attachment.height);
    return (React.createElement(Styles.ImageAttachment, { src: props.attachment.url, width: width, height: height, placeholder: React.createElement(Styles.LazyImagePlaceholder, { style: { width, height } }, "Loading...") }));
}
export default ImageAttachment;
//# sourceMappingURL=ImageAttachment.js.map