import { createRef, useEffect } from "react";
import lottie from "lottie-web";
import React from "react";
function Lottie({ data, width, height }) {
    const ref = createRef();
    useEffect(() => {
        lottie.loadAnimation({
            container: ref.current,
            animationData: JSON.parse(data),
            renderer: "canvas",
        });
    }, []);
    return React.createElement("div", { style: { width, height }, ref: ref });
}
export default Lottie;
//# sourceMappingURL=Lottie.js.map