import * as Styles from "../style";
import * as React from "react";
import { StickerFormatType } from "discord-api-types/v10";
import Tooltip from "../../Tooltip";
import webpCheck from "../../utils/webpCheck";
function Sticker(props) {
    return (React.createElement(Tooltip, { overlay: React.createElement(Styles.StickerTooltip, null,
            React.createElement(Styles.StickerTooltipIcon, { width: 16, height: 16, svg: "IconSticker" }),
            " ",
            props.sticker.name), placement: "top" }, props.sticker.format_type === StickerFormatType.Lottie ? (React.createElement(Styles.LottieStickerWrapper, null)) : (React.createElement(Styles.Sticker, { height: 160, width: 160, alt: props.sticker.name + " Sticker", src: 
        // todo: allow proper custom urls instead of relying on Discord's CDN
        props.sticker.format_type === StickerFormatType.APNG
            ? `https://cdn.discordapp.com/stickers/${props.sticker.id}.png`
            : webpCheck(`https://media.discordapp.net/stickers/${props.sticker.id}.webp?size=240`), draggable: false }))));
}
export default Sticker;
//# sourceMappingURL=index.js.map