import { ComponentType, } from "discord-api-types/v10";
import ButtonComponent from "./ButtonComponent";
import React from "react";
function Component({ component, message }) {
    switch (component.type) {
        case ComponentType.Button:
            return React.createElement(ButtonComponent, { button: component, message: message });
        default:
            return null;
    }
}
export default Component;
//# sourceMappingURL=Component.js.map