import Tooltip from "../Tooltip";
import React from "react";
import { MessageContainerStyle } from "./style/message";
import SvgFromUrl from "../SvgFromUrl";
function MessageContainer(props) {
    return (React.createElement(MessageContainerStyle.MessageContainer, null,
        React.createElement(MessageContainerStyle.Buttons, null, props.buttons.map((option, index) => (React.createElement(Tooltip, { overlay: option.actionDescription, placement: "top", key: option.actionDescription },
            React.createElement(MessageContainerStyle.Button, { onClick: option.onClick, key: `button-${index}` },
                React.createElement(SvgFromUrl, { width: 20, height: 20, svg: option.icon })))))),
        props.children));
}
export default MessageContainer;
//# sourceMappingURL=MessageContainer.js.map