import MessageAuthor from "../MessageAuthor";
import LargeTimestamp from "../LargeTimestamp";
import React from "react";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
function ChannelFollowAdd(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconAdd" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " has added",
            " ",
            React.createElement(Styles.SystemMessageLink, null, props.content),
            " to this channel. It",
            "'",
            "s most important updates will show up here.",
            React.createElement(LargeTimestamp, { timestamp: props.createdAt }))));
}
export default ChannelFollowAdd;
//# sourceMappingURL=ChannelFollowAdd.js.map