import MessageAuthor from "../MessageAuthor";
import LargeTimestamp from "../LargeTimestamp";
import React from "react";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
function joinMessage(createdAt, author) {
    const member = React.createElement(MessageAuthor, { author: author, onlyShowUsername: true });
    const messages = [
        React.createElement(React.Fragment, null,
            member,
            " joined the party."),
        React.createElement(React.Fragment, null,
            member,
            " is here."),
        React.createElement(React.Fragment, null,
            "Welcome, ",
            member,
            ". We hope you brought pizza."),
        React.createElement(React.Fragment, null,
            "A wild ",
            member,
            " appeared."),
        React.createElement(React.Fragment, null,
            member,
            " just landed."),
        React.createElement(React.Fragment, null,
            member,
            " just slid into the server."),
        React.createElement(React.Fragment, null,
            member,
            " just showed up!"),
        React.createElement(React.Fragment, null,
            "Welcome ",
            member,
            ". Say hi!"),
        React.createElement(React.Fragment, null,
            member,
            " hopped into the server."),
        React.createElement(React.Fragment, null,
            "Everyone welcome ",
            member,
            "!"),
        React.createElement(React.Fragment, null,
            "Glad you",
            "'",
            "re here, ",
            member,
            "."),
        React.createElement(React.Fragment, null,
            "Good to see you, ",
            member,
            "."),
        React.createElement(React.Fragment, null,
            "Yay you made it, ",
            member,
            "!"),
    ];
    return messages[Number(new Date(createdAt)) % messages.length];
}
function GuildMemberJoin(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconAdd" }),
        React.createElement(Styles.SystemMessageContent, null,
            joinMessage(props.createdAt, props.author),
            React.createElement(LargeTimestamp, { timestamp: props.createdAt }))));
}
export default GuildMemberJoin;
//# sourceMappingURL=GuildMemberJoin.js.map