import LargeTimestamp from "../LargeTimestamp";
import MessageAuthor from "../MessageAuthor";
import ThreadButton from "../../Content/Thread/ThreadButton";
import React from "react";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
import { MessageType } from "discord-api-types/v10";
function ThreadCreated(props) {
    // todo: make work
    // const openThread = useCallback(() => generalStore.setActiveThread({
    //   id: props.messageReference.channelId,
    //   name: props.messageContent,
    //   messageCount: 0,
    //   archivedAt: null,
    //   locked: false
    // }), [props.messageId, props.messageContent]);
    if (props.thread === null)
        return (React.createElement(Styles.SystemMessage, null,
            React.createElement(Styles.SystemMessageContent, null,
                React.createElement(Styles.ThreadCreatedIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconThreadCreated" }),
                React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
                " started a thread:",
                " ",
                React.createElement(Styles.SystemMessageLink /* onClick={openThread} */, null, props.messageContent)),
            React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(Styles.ThreadCreatedIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconThreadCreated" }),
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " started a thread:",
            " ",
            React.createElement(Styles.SystemMessageLink /* onClick={openThread} */, null, props.thread.name)),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt }),
        React.createElement(ThreadButton, { thread: props.thread, messageId: props.messageId, messageContent: props.messageContent, messageType: MessageType.ThreadCreated, hasReply: false })));
}
export default ThreadCreated;
//# sourceMappingURL=ThreadCreated.js.map