import { useContext } from "react";
import SvgMissingAsset from "../assets/libAssets/missing-asset.svg";
import { ConfigContext } from "./ConfigContext";
const defaultSvgUrls = {
    FileAudio: SvgMissingAsset,
    FileSketch: SvgMissingAsset,
    FileArchive: SvgMissingAsset,
    FileUnknown: SvgMissingAsset,
    FileAe: SvgMissingAsset,
    FileAi: SvgMissingAsset,
    FileAcrobat: SvgMissingAsset,
    FileCode: SvgMissingAsset,
    FileDocument: SvgMissingAsset,
    FileSpreadsheet: SvgMissingAsset,
    FileWebCode: SvgMissingAsset,
    IconAdd: SvgMissingAsset,
    IconRemove: SvgMissingAsset,
    IconDownload: SvgMissingAsset,
    IconWarning: SvgMissingAsset,
    IconCheckmark: SvgMissingAsset,
    IconCross: SvgMissingAsset,
    IconPin: SvgMissingAsset,
    IconPencil: SvgMissingAsset,
    IconBoost: SvgMissingAsset,
    IconThreadCreated: SvgMissingAsset,
    IconId: SvgMissingAsset,
    IconSticker: SvgMissingAsset,
    IconCommand: SvgMissingAsset,
    IconAttachment: SvgMissingAsset,
    IconDanger: SvgMissingAsset,
    IconPause: SvgMissingAsset,
    IconFullscreen: SvgMissingAsset,
    IconPlay: SvgMissingAsset,
    IconTextChannel: SvgMissingAsset,
    IconVoiceChannel: SvgMissingAsset,
    IconUnknownReply: SvgMissingAsset,
    IconStageChannel: SvgMissingAsset,
    IconForumChannel: SvgMissingAsset,
    MiscDiscordImageFailure: SvgMissingAsset,
    IconLinkExternal: SvgMissingAsset,
};
export function getSvgUrl(svg) {
    var _a, _b;
    const { svgUrls } = useContext(ConfigContext);
    return (_b = (_a = svgUrls === null || svgUrls === void 0 ? void 0 : svgUrls[svg]) !== null && _a !== void 0 ? _a : defaultSvgUrls[svg]) !== null && _b !== void 0 ? _b : svg;
}
//# sourceMappingURL=svgs.js.map