import SvgFromUrl from "../../SvgFromUrl";
export declare const Embed: import("@stitches/react/types/styled-component").StyledComponent<"article", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    padding: import("@stitches/react/types/theme").Token<"xxl", string, "space", "">;
    paddingLeft: import("@stitches/react/types/theme").Token<"xl", string, "space", "">;
    borderLeftWidth: number;
    borderLeftStyle: string;
    borderLeftColor: import("@stitches/react/types/theme").Token<"backgroundTertiary", string, "colors", "">;
    borderRadius: number;
    backgroundColor: import("@stitches/react/types/theme").Token<"backgroundSecondary", string, "colors", "">;
    width: string;
    gap: import("@stitches/react/types/theme").Token<"large", string, "space", "">;
    display: string;
    flexDirection: string;
    maxWidth: number;
    variants: {
        thin: {
            true: {
                maxWidth: number;
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ContentAndThumbnail: import("@stitches/react/types/styled-component").StyledComponent<"div", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    display: string;
    gap: import("@stitches/react/types/theme").Token<"xxl", string, "space", "">;
    variants: {
        hasLargeThumbnail: {
            true: {
                flexDirection: string;
                maxWidth: number;
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Content: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Provider: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Author: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AuthorIcon: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AuthorName: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Title: import("@stitches/react/types/styled-component").StyledComponent<"div", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    fontSize: import("@stitches/react/types/theme").Token<"l", string, "fontSizes", "">;
    fontWeight: number;
    color: import("@stitches/react/types/theme").Token<"primaryOpacity100", string, "colors", "">;
    variants: {
        link: {
            true: {
                cursor: string;
                textDecoration: string;
                color: import("@stitches/react/types/theme").Token<"link", string, "colors", "">;
                "&:hover": {
                    textDecoration: string;
                };
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Description: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Fields: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Field: import("@stitches/react/types/styled-component").StyledComponent<"div", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    flex: number;
    maxWidth: number;
    flexBasis: string;
    variants: {
        inline: {
            true: {
                width: string;
                flexBasis: string;
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FieldName: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FieldValue: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Image: import("@stitches/react/types/styled-component").StyledComponent<"img", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    borderRadius: number;
    cursor: string;
    variants: {
        withMargin: {
            true: {
                marginTop: import("@stitches/react/types/theme").Token<"large", string, "space", "">;
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Images: import("@stitches/react/types/styled-component").StyledComponent<"div", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    display: string;
    gap: import("@stitches/react/types/theme").Token<"small", string, "space", "">;
    borderRadius: number;
    overflow: string;
    img: {
        height: string;
        width: string;
        objectFit: string;
    };
    variants: {
        nImages: {
            1: {};
            2: {
                gridTemplateColumns: string;
            };
            3: {
                gridTemplateColumns: string;
                gridTemplateRows: string;
                "& > *:first-child": {
                    gridRow: string;
                };
            };
            4: {
                gridTemplateColumns: string;
                gridTemplateRows: string;
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ImageGridImageContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Footer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FooterIcon: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const MediaEmbed: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoIframe: import("@stitches/react/types/styled-component").StyledComponent<"iframe", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoThumbnail: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoThumbnailPlayButtonContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoThumbnailPlayButton: import("@stitches/react/types/styled-component").StyledComponent<typeof SvgFromUrl, {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
