/// <reference types="react" />
import type { APIGuildMember, APIUser } from "discord-api-types/v10";
interface MessageAuthorProps {
    author: APIUser | APIGuildMember;
    avatarAnimated?: boolean;
    onlyShowUsername?: boolean;
    crossPost?: boolean;
    referenceGuild?: string;
}
declare function MessageAuthor({ onlyShowUsername, author, avatarAnimated, crossPost, referenceGuild, }: MessageAuthorProps): JSX.Element;
export default MessageAuthor;
