import Tooltip from "../Tooltip";
import React from "react";
import * as Styles from "./style";
const verified = (React.createElement(Tooltip, { placement: "top", overlay: "Verified Bot" },
    React.createElement(Styles.VerifiedBot, { "aria-label": "Verified Bot", "aria-hidden": "false", width: "16", height: "16", viewBox: "0 0 16 15.2" },
        React.createElement("path", { d: "M7.4,11.17,4,8.62,5,7.26l2,1.53L10.64,4l1.36,1Z", fill: "currentColor" }))));
// todo: support custom
function ChatTag({ author, crosspost, referenceGuild }) {
    if (!author.bot)
        return null;
    if (author.system || referenceGuild === "667560445975986187")
        return (React.createElement(Styles.Tag, { className: "verified system" },
            verified,
            " system"));
    if (crosspost)
        return React.createElement(Styles.Tag, { className: "server" }, "server");
    if (author.flags & (1 << 16))
        return React.createElement(Styles.Tag, { className: "verified bot" },
            verified,
            " bot");
    return React.createElement(Styles.Tag, { className: "bot" }, "bot");
}
export default ChatTag;
//# sourceMappingURL=index.js.map