import * as Styles from "./style";
import React from "react";
import useSize from "../Attachment/useSize";
function ImageEmbed({ embed }) {
    const size = useSize(embed.thumbnail.width, embed.thumbnail.height);
    return (React.createElement(Styles.MediaEmbed, { src: embed.thumbnail.proxy_url, 
        // originalUrl={embed.thumbnail.url}
        width: size.width, height: size.height }));
}
export default ImageEmbed;
//# sourceMappingURL=ImageEmbed.js.map