import * as Styles from "../../Content/style";
import * as MessageStyles from "../../Message/style/message";
import React from "react";
import { MessageType } from "discord-api-types/v10";
import { useConfig } from "../../core/ConfigContext";
function ThreadButton(props) {
    const { seeThreadOnClick } = useConfig();
    return (React.createElement(Styles.ThreadButtonContainer, null,
        React.createElement(MessageStyles.ThreadSpine, { hasReply: props.hasReply, fromThreadCreatedType: props.messageType === MessageType.ThreadCreated }),
        React.createElement(Styles.ThreadButton, null,
            React.createElement(Styles.ThreadButtonTopLine, null,
                React.createElement(Styles.ThreadButtonName, null, props.thread.name),
                React.createElement(Styles.SeeThreadButton, { onClick: () => seeThreadOnClick(props.messageId, props.thread), role: "button" }, "See Thread \u203A")))));
}
export default ThreadButton;
//# sourceMappingURL=ThreadButton.js.map