import Moment from "moment/moment";
import * as Styles from "./style/message";
import Tooltip from "../Tooltip";
import React, { memo } from "react";
function LargeTimestamp({ timestamp }) {
    return (React.createElement(Tooltip, { placement: "top", overlay: Moment(timestamp).format("LLLL"), mouseEnterDelay: 1 },
        React.createElement(Styles.LargeTimestamp, { dateTime: timestamp.toString() }, Moment(timestamp).calendar())));
}
export default memo(LargeTimestamp);
//# sourceMappingURL=LargeTimestamp.js.map