import MessageAuthor from "../MessageAuthor";
import React, { useCallback } from "react";
import LargeTimestamp from "../LargeTimestamp";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
function ChannelPinnedMessage(props) {
    const openPinnedMessage = useCallback(
    // todo: implement ?
    () => { }, []);
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconPin" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " pinned a message to this channel. See all",
            " ",
            React.createElement(Styles.SystemMessageLink, { onClick: openPinnedMessage }, "pinned messages"),
            ".",
            React.createElement(LargeTimestamp, { timestamp: props.createdAt }))));
}
export default ChannelPinnedMessage;
//# sourceMappingURL=ChannelPinnedMessage.js.map