import MessageAuthor from "../MessageAuthor";
import LargeTimestamp from "../LargeTimestamp";
import React from "react";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
function GuildBoost(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconBoost" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " just boosted the server",
            props.content !== "" && (React.createElement(React.Fragment, null,
                " ",
                React.createElement("strong", null, props.content),
                " times")),
            "!"),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default GuildBoost;
//# sourceMappingURL=GuildBoost.js.map