import * as AuthorStyles from "../style/author";
import MessageAuthor from "../MessageAuthor";
import LargeTimestamp from "../LargeTimestamp";
import React from "react";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
import getDisplayName from "../../utils/getDisplayName";
// todo: check if this also applies to group chats, and support those as well.
function RecipientAdd(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconAdd" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " added",
            " ",
            React.createElement(AuthorStyles.Username, null, getDisplayName(props.target)),
            " ",
            "to the thread."),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default RecipientAdd;
//# sourceMappingURL=RecipientAdd.js.map