import * as AuthorStyles from "../style/author";
import MessageAuthor from "../MessageAuthor";
import LargeTimestamp from "../LargeTimestamp";
import React from "react";
import * as Styles from "../style/message";
import { SystemMessageIconSize } from "../style/message";
import getDisplayName from "../../utils/getDisplayName";
function RecipientRemove(props) {
    return (React.createElement(Styles.SystemMessage, null,
        React.createElement(Styles.SystemMessageIcon, { width: SystemMessageIconSize, height: SystemMessageIconSize, svg: "IconRemove" }),
        React.createElement(Styles.SystemMessageContent, null,
            React.createElement(MessageAuthor, { author: props.author, onlyShowUsername: true }),
            " removed",
            " ",
            React.createElement(AuthorStyles.Username, null, getDisplayName(props.target)),
            " ",
            "from the thread."),
        React.createElement(LargeTimestamp, { timestamp: props.createdAt })));
}
export default RecipientRemove;
//# sourceMappingURL=RecipientRemove.js.map