import { createContext, useContext } from "react";
export const ConfigContext = createContext({
    messageButtons: () => [],
    resolveRole: () => null,
    resolveUser: () => null,
    resolveChannel: () => null,
    resolveMember: () => null,
    resolveGuild: () => null,
    currentUser: () => null,
});
export function useConfig() {
    return useContext(ConfigContext);
}
//# sourceMappingURL=ConfigContext.js.map