import React, { useState } from "react";
import * as Styles from "./style";
import Message from "./Message";
function MessageGroup(props) {
    var _a;
    const [firstMessage, ...otherMessages] = props.messages;
    const [isHovered, setIsHovered] = useState(false);
    return (React.createElement(Styles.MessageGroup, { style: Object.assign(Object.assign({}, props.style), { marginTop: 0 }), onMouseEnter: () => setIsHovered(true), onMouseLeave: () => setIsHovered(false) },
        React.createElement(Message, { isFirstMessage: true, message: firstMessage, isHovered: isHovered, showButtons: (_a = props.showButtons) !== null && _a !== void 0 ? _a : true, thread: props.thread }),
        otherMessages.map((message) => {
            var _a;
            return (React.createElement(Message, { key: message.id, message: message, showButtons: (_a = props.showButtons) !== null && _a !== void 0 ? _a : true, thread: props.thread }));
        })));
}
export { default as Message } from "./Message";
export { default as MessageRendererProvider } from "./MessageRendererProvider";
export default MessageGroup;
//# sourceMappingURL=index.js.map