/// <reference types="react" />
import { APIEmbedThumbnail, APIEmbedVideo } from "discord-api-types/v10";
interface EmbedVideoProps extends Pick<APIEmbedVideo, "width" | "height"> {
    thumbnail?: APIEmbedThumbnail["url"];
    url: APIEmbedVideo["url"] | undefined;
    proxyUrl: APIEmbedVideo["proxy_url"] | undefined;
}
declare function EmbedVideo(props: EmbedVideoProps): JSX.Element;
export default EmbedVideo;
